- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
gclientprotocol.h File Reference
`#include "gdef.h"`
`#include "gnet.h"`
`#include "gsmtp.h"`
`#include "gmessagestore.h"`
`#include "gsaslclient.h"`
`#include "gsecrets.h"`
`#include "gslot.h"`
`#include "gstrings.h"`
`#include "gtimer.h"`
`#include "gexception.h"`
`#include <memory>`
`#include <iostream>`

Go to the source code of this file.

## Classes
class | GSmtp::ClientProtocolReply
| A private implementation class used by ClientProtocol. More...
class | GSmtp::ClientProtocol
| Implements the client-side SMTP protocol. More...
class | GSmtp::ClientProtocol::Sender
| An interface used by ClientProtocol to send protocol messages. More...
struct | GSmtp::ClientProtocol::Config
| A structure containing GSmtp::ClientProtocol configuration parameters. More...

## Namespaces
| GSmtp
| SMTP and message-store classes.